Compile PHP 5.5.14 on upgrade from MAMP Pro 5.5.10 php -i /configure

 

This will require the use of Brew.

sudo brew install gettext

//create symbolic link to lib location, needed for php compilation
//this will also fix any linking errors that might occur related to libintl.h 
ln -s /usr/local/Cellar/gettext/0.18.3.2/lib/libintl.* /usr/local/lib/

sudo brew install t1lib

 
The php that comes with MAMP Pro is compiled with the following ./configure command. To verify that this is the case you can issue php -i command in the location of your php executable, usually in /Applications/MAMP/bin/php/phpxxxxxx/bin/.
 

./configure  –with-mysql=/Applications/MAMP/Library –with-gd –with-jpeg-dir=/Applications/MAMP/Library –with-png-dir=/Applications/MAMP/Library –with-zlib –with-zlib-dir=/Applications/MAMP/Library –with-freetype-dir=/Applications/MAMP/Library  –enable-ftp –enable-gd-native-ttf –with-bz2=/usr –with-ldap –with-mysqli=/Applications/MAMP/Library/bin/mysql_config –with-t1lib=/Applications/MAMP/Library –enable-mbstring=all –with-curl=/Applications/MAMP/Library –enable-sockets –enable-bcmath –with-imap=shared,/Applications/MAMP/Library/lib/imap-2007f –enable-soap –with-kerberos –enable-calendar –with-pgsql=shared,/Applications/MAMP/Library/pg –enable-exif –with-libxml-dir=/Applications/MAMP/Library –with-gettext=shared,/Applications/MAMP/Library –with-xsl=/Applications/MAMP/Library –with-pdo-mysql=shared,/Applications/MAMP/Library –with-pdo-pgsql=shared,/Applications/MAMP/Library/pg –with-mcrypt=shared,/Applications/MAMP/Library –with-openssl –enable-zip –with-iconv=/Applications/MAMP/Library –enable-opcache –enable-cgi –enable-intl –with-icu-dir=/Applications/MAMP/Library –with-tidy=shared

 

Creds: https://stackoverflow.com/questions/11370684/what-is-libintl-h-and-where-can-i-get-it